## plasma-firewall 6.5.5

=== debian/changelog ===
plasma-firewall (6.5.5-0zneon+24.04+noble+release+build35) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 21:43:47 +0000

plasma-firewall (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:29:35 +1000

## plasma-firewall 6.5.5+p24.04+vstable+git20260129.0112

=== debian/changelog ===
plasma-firewall (6.5.5+p24.04+vstable+git20260129.0112-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:12:59 +0000

## plasma-firewall 6.5.5+p24.04+vstable+git20260130.0913

=== debian/changelog ===
plasma-firewall (6.5.5+p24.04+vstable+git20260130.0913-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:13:04 +0000

## plasma-firewall 6.5.5+p24.04+vunstable+git20260120.1146

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2020 Tomaz Canabrava <tcanabrava@kde.org>

cmake_minimum_required(VERSION 3.16)
#-----------------------------------------------------------------------------
#                           GENERAL CONFIGURATION
#-----------------------------------------------------------------------------
project(plasma-firewall)
set(PROJECT_VERSION "6.6.80")

set(KF6_MIN_VERSION "6.22.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
set(QT_MIN_VERSION "6.10.0")

set(CMAKE_AUTOMOC TRUE)
set(CMAKE_AUTORCC TRUE)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

#-----------------------------------------------------------------------------
#                                OPTIONS
#-----------------------------------------------------------------------------

include(FeatureSummary)

option(BUILD_FIREWALLD_BACKEND "Build the firewalld backend" ON)
add_feature_info(FIREWALLD_BACKEND ${BUILD_FIREWALLD_BACKEND} "Build the FirewallD backend")

option(BUILD_UFW_BACKEND "Build the Uncomplicated Firewall (UFW) backend" ON)
add_feature_info(UFW_BACKEND ${BUILD_UFW_BACKEND} "Build the Uncomplicated Firewall (UFW) backend")

#-----------------------------------------------------------------------------
#                              DEPENDENCIES
#-----------------------------------------------------------------------------
find_package(Python3 COMPONENTS Interpreter)
# KF6
find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(ECMDeprecationSettings)

# Qt6
find_package(Qt6 REQUIRED COMPONENTS
    Core
    Qml
    Quick
    DBus
    Test
)

ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.9.0
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS 
    Config
    CoreAddons
    KCMUtils
    I18n
    Auth
)


#-----------------------------------------------------------------------------
#                               SOURCES
#-----------------------------------------------------------------------------
add_subdirectory(kcm)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

#-----------------------------------------------------------------------------
#                               Clang Format
#-----------------------------------------------------------------------------
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

install(FILES org.kde.plasma.firewall.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

#-----------------------------------------------------------------------------
#                                Translations
#-----------------------------------------------------------------------------
ki18n_install(po)

#-----------------------------------------------------------------------------
#                               BUILD SUMMARY
#-----------------------------------------------------------------------------
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plasma-firewall (6.5.5+p24.04+vunstable+git20260120.1146-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 11:46:36 +0000

## plasma-firewall 6.5.5+p24.04+vunstable+git20260130.1403

=== debian/changelog ===
plasma-firewall (6.5.5+p24.04+vunstable+git20260130.1403-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:03:33 +0000

## plasma-firewall 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #                           GENERAL CONFIGURATION
 #-----------------------------------------------------------------------------
 project(plasma-firewall)
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
plasma-firewall (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:15:48 +0000

plasma-firewall (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:06:50 +0000

=== debian/control ===
Source: plasma-firewall
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Pino Toscano <pino@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-python3,
               extra-cmake-modules (>= 6.22.0~),
               gettext,
               libkf6auth-dev (>= 6.22.0~),
               libkf6config-dev (>= 6.22.0~),
               libkf6coreaddons-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6kcmutils-dev (>= 6.22.0~),
               libxkbcommon-dev,
               python3:any,
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-firewall
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-firewall
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-firewall
Rules-Requires-Root: no

Package: plasma-firewall
Architecture: any
Depends: qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qtqml,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         systemsettings,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: ufw | firewalld,
Description: Plasma configuration module for firewalls
 Plasma Firewall provides a way to graphically configure a firewall service.
 .
 Supported firewalls are:
  - firewalld
  - ufw

## plasma-firewall 6.6.2

=== debian/changelog ===
plasma-firewall (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:24:07 +0000
